with GNATCOM.Dispinterface;

package MSHTML.ISVGPathSegCurvetoCubicRel_Interface is

   type ISVGPathSegCurvetoCubicRel_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGPathSegCurvetoCubicRel_Type);

   function Pointer (This : ISVGPathSegCurvetoCubicRel_Type)
     return Pointer_To_ISVGPathSegCurvetoCubicRel;

   procedure Attach (This    : in out ISVGPathSegCurvetoCubicRel_Type;
                     Pointer : in     Pointer_To_ISVGPathSegCurvetoCubicRel);

   procedure Put_x
     (This : ISVGPathSegCurvetoCubicRel_Type;
      p    : Interfaces.C.C_float);

   function Get_x
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return Interfaces.C.C_float;

   procedure Put_y
     (This : ISVGPathSegCurvetoCubicRel_Type;
      p    : Interfaces.C.C_float);

   function Get_y
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return Interfaces.C.C_float;

   procedure Put_x1
     (This : ISVGPathSegCurvetoCubicRel_Type;
      p    : Interfaces.C.C_float);

   function Get_x1
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return Interfaces.C.C_float;

   procedure Put_y1
     (This : ISVGPathSegCurvetoCubicRel_Type;
      p    : Interfaces.C.C_float);

   function Get_y1
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return Interfaces.C.C_float;

   procedure Put_x2
     (This : ISVGPathSegCurvetoCubicRel_Type;
      p    : Interfaces.C.C_float);

   function Get_x2
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return Interfaces.C.C_float;

   procedure Put_y2
     (This : ISVGPathSegCurvetoCubicRel_Type;
      p    : Interfaces.C.C_float);

   function Get_y2
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return Interfaces.C.C_float;

end MSHTML.ISVGPathSegCurvetoCubicRel_Interface;

